Delete Billkey API
An API that deletes a billkey issued in the initial charge response. A deleted billkey can no longer be used.
Test Key Information
Important Notes
NOTE
Billkey Service Activation
The Billkey (tokenized recurring payment) service requires separate service activation. Contact your account manager.
- A deleted billkey cannot be restored.
- Before deletion, verify that there are no payments in progress using the billkey.
API Information
POST/spay/APICardActionDelkey.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APICardActionDelkey.do운영
https://gw.settlebank.co.kr/spay/APICardActionDelkey.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(12)Alphanumeric, up to 12 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nxca_jt_bi: non-authenticated nxca_ks_gu: legacy-authenticated└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
*Fixed value
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (for billkey deletion)
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
Unique order number generated by the merchant
└trdDtN(8)Numeric, up to 8 bytes*Date the message is transmitted (YYYYMMDD)
Date the message is transmitted (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Time the message is transmitted (HHMMSS)
Time the message is transmitted (HHMMSS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: IOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
trdDt + trdTm + mchtId + mchtTrdNo + "0" + hashKey
└billKeyAN(50)Alphanumeric, up to 50 bytes*Billkey issued in the initial charge response
Billkey issued in the initial charge response
└etcInfoAN(12)Alphanumeric, up to 12 bytesTermination reason code
Termination reason code
Response Parameters
params Object
└mchtIdAN(12)Alphanumeric, up to 12 bytes*Unique merchant ID assigned by Hecto Financial
nxca_jt_biUnique merchant ID assigned by Hecto Financial
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A19Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
CAPayment method
*Fixed value
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
A1Business type code
*Fixed value for billkey deletion
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
ORDER20211231100000Unique order number generated by the merchant
└trdNoAN(40)Alphanumeric, up to 40 bytes*Unique transaction number issued by Hecto Financial
STFP_PGCAnxca_jt_il0211129135810M1494620Unique transaction number issued by Hecto Financial
└trdDtN(8)Numeric, up to 8 bytes*Request date (YYYYMMDD)
20211231Request date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HHMMSS)
100000Request time (HHMMSS)
└outStatCdN(4)Numeric, up to 4 bytes*Transaction status code (success/failure)
0021Transaction status code (success/failure)
0021: Success 0031: Failure└outRsltCdN(4)Numeric, up to 4 bytes*Decline code. Detailed code provided when transaction status is '0031'
0000Decline code. Detailed code provided when transaction status is '0031'
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message (URL Encoding, UTF-8)
Processed successfully.Result message (URL Encoding, UTF-8)
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Hash value from request returned as-is
Hash value from request returned as-is
└billKeyAN(50)Alphanumeric, up to 50 bytes*Value from request returned as-is
SBILL_0123456789Value from request returned as-is
Need technical support?
Code Samples
HectoFinancial GitHub